List all datacenters in a Consul service registry
GET /api/gateway_groups/{gateway_group_id}/service_registries/{service_registry_id}/consul/datacenters
GET /api/gateway_groups/{gateway_group_id}/service_registries/{service_registry_id}/consul/datacentersInteractive request editor loads with JavaScript.
X-API-KEY<token>
In: header
Path Parameters
service_registry_id*string
Service registry ID.
Length
1 <= lengthgateway_group_id*string
Gateway group ID.
Length
1 <= lengthResponse Body
application/json
curl -X GET "$API_BASE_URL/api/gateway_groups/86fb9981-d9d2-4555-9df8-91ae92129335/service_registries/86fb9981-d9d2-4555-9df8-91ae92129335/consul/datacenters"Successfully retrieved the list of Consul datacenters.
{
"list": [
"dc1",
"dc2"
],
"total": 2
}Invalid arguments. Error details will be provided in the response.
Complete operation details and schema variants
GET /api/gateway_groups/{gateway_group_id}/service_registries/{service_registry_id}/consul/datacenters
List all datacenters in a Consul service registry
IAM Action: gateway:GetServiceRegistry, Resource: arn:api7:gateway:gatewaygroup/%s
Parameters
service_registry_id(path, string, required): Service registry ID.gateway_group_id(path, string, required): Gateway group ID.
Responses
200: Successfully retrieved the list of Consul datacenters.- allOf variant 1
list(array, optional): An array of resources.total(integer, optional): Total number of objects.- allOf variant 2
list(array, optional): An array of Consul datacenters.total(object, optional):400: Invalid arguments. Error details will be provided in the response.
cURL
curl -X GET '$API_BASE_URL/api/gateway_groups/{gateway_group_id}/service_registries/{service_registry_id}/consul/datacenters'